Get favorites combined
curl --request GET \
--url https://api.morphic.io/api/favorites/combined \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/favorites/combined"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/favorites/combined', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folders": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_order": 123,
"is_hidden": false,
"color": "<string>",
"children_count": 123,
"favorites_count": 123
}
],
"favorites": [
{
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_order": 123,
"notes": "<string>",
"entity_name": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Favorites
Get favorites combined
Get both folders and favorites in a single response.
GET
/
api
/
favorites
/
combined
Get favorites combined
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Query Parameters
Filter favorites by folder ID
Filter favorites by entity type
⌘I